import _Input from "@alifd/next/es/input";
import _inheritsLoose from "@babel/runtime/helpers/inheritsLoose";
import * as React from 'react';
var CStringOnlySetter = /*#__PURE__*/function (_React$PureComponent) {
  function CStringOnlySetter() {
    return _React$PureComponent.apply(this, arguments) || this;
  }
  _inheritsLoose(CStringOnlySetter, _React$PureComponent);
  var _proto = CStringOnlySetter.prototype;
  _proto.render = function render() {
    var value = this.props.value;
    return /*#__PURE__*/React.createElement(_Input, {
      isPreview: true,
      hasBorder: false,
      size: "small",
      value: value,
      style: {
        width: '100%'
      }
    });
  };
  return CStringOnlySetter;
}(React.PureComponent);
CStringOnlySetter.displayName = 'CStringOnlySetter';
export { CStringOnlySetter as default };